Retrieve a schema at the given version

Retrieve a schema by a schema_id and the provided schema_version number.

Key Features:

  • Retrieve the custom schema specified by the schema ID and version number. The version number is in format of {major}.{minor}, where major and minor are integers. E.g. 1.0, 2.1.
  • Support including space names that the schema is distributed to in the response with the include query parameter. Note: The space names will be included in the response under the schema item.

Authorization Logic:

  1. User must have a valid tenant-level JWT token
  2. Token must have seismic.custom_schema.view scope for custom schema

Usage Example:
Retrieve the custom schema at the specified version.

Permissions Required:
Requires: seismic.custom_schema.view

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

(Required) The schema id, which identifies a schema across all versions. Note: This is not the version id, which identifies a specific version of the schema.

string
required

(Required) The version number, which is a combination of major, minor and tag. Note: The version number is in format of {major}.{minor}, where major and minor are integers. E.g. 1.0, 2.1.

Query Params
string

Optional parameter to include additional information in the response. Note: Now it only supports including space names that the schema is distributed to. Note: The space names will be included in the response under the schema item.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json